--[[
File Author: networkerror
File Revision: 107
File Date: 2009-07-02T08:13:11Z
]]--
local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "enUS", true)
if L then
L["AddFilter"] = "Add Filter Expression"
L["AddFilter1"] = "Custom Filter Expression 1"
L["AddFilter1D"] = "Add Custom Filter Expression to be Allowed in Trade Channel."
L["AddFilter2"] = "Custom Filter Expression 2"
L["AddFilter3"] = "Custom Filter Expression 3"
L["AddFilterD"] = "Add Filter Expression to be matched in Trade Channel. [Requires UI Reload to Enable]"
L["AddFilterG"] = "Add Filter Expression"
L["AddFilterGD"] = "Add Filter Expression to be matched in Trade Channel Group."
L["addFilterGroup"] = "Add Custom Filters"
L["AddFilterUsage"] = "Case Insensitive LFG = [lL][fF][gG]"
L["bLists"] = "BlackList"
L["channelGroup"] = "Channel Selection"
L["Debug"] = "Debug [Requires Creating ChatFrame 'DEBUG']"
L["DebugDesc"] = "Enable Debugging output to DEBUG Channel [Requires Creating ChatFrame 'DEBUG']"
L["FSELF"] = "Filter Self"
L["FSELFD"] = "Allow yourself to be filtered? This can be used to test filters. TRUE = Player is subject to filtering, FALSE =  Player is not subject to filtering and passes through unchecked."
L["GC"] = "Filter General Channel"
L["GCD"] = "Select this to apply filter to General Channel."
L["LFGC"] = "Filter LFG Channel"
L["LFGCD"] = "Select this to apply filter to LFG Channel."
L["listsGD"] = "Add words or patterns to match against for a Black/White list."
L["listsGroup"] = "Black/White Lists"
L["OUTPUT"] = "Output Options"
L["Profiles"] = true
L["Redir"] = "Redirect Spam [Requires Creating ChatFrame 'SPAM']"
L["RedirDesc"] = "Redirect Trade Channel Spam to SPAM Channel [Requires Creating ChatFrame 'SPAM']"
L["RUI"] = "Reload UI"
L["RUID"] = "Reload the User Interface for some changes to take effect."
L["SAYC"] = "Filter SAY Channel"
L["SAYCD"] = "Select this to apply filter to SAY Channel."
L["TC"] = "Filter Trade Channel"
L["TCD"] = "Select this to apply filter to Trade Channel"
L["TFR"] = "TradeFilter3"
L["TurnOn"] = "Turn On"
L["TurnOnDesc"] = "Enable Trade Channel Filter."
L["wLists"] = "WhiteList"
L["YELLC"] = "Filter YELL Channel"
L["YELLCD"] = "Select this to apply filter to YELL Channel."
L.BLACKLIST = {
	BLIST1 = "%[.*%].*rectum",
	BLIST10 = "%[.*%].*%[dirge%]",
	BLIST2 = "rectum.*%[.*%]",
	BLIST3 = "%[.*%].*anal",
	BLIST4 = "anal.*%[.*%]",
	BLIST5 = "%[.*%].*in.*bed",
	BLIST6 = "in.*bed.*%[.*%]",
	BLIST7 = "%[willy%].*%[.*%]",
	BLIST8 = "%[.*%].*%[willy%]",
	BLIST9 = "%[dirge%].*%[.*%]",
}
L.FILTER = {
	FILTER1 = "[lL][fF] [pP][oO][rR][tT]",
	FILTER10 = "[lL][fF]%d[mM]?",
	FILTER11 = "[lL][fF][mM]?",
	FILTER12 = "[lL][fF][gG]",
	FILTER13 = "AH",
	FILTER14 = "looking for work",
	FILTER15 = "lockpick",
	FILTER16 = "[sS][eE][lL][lL][iI][nN][gG]",
	FILTER17 = "2[vV]2",
	FILTER18 = "3[vV]3",
	FILTER19 = "5[vV]5",
	FILTER2 = "[bB][uU][yY][iI][nN][gG]",
	FILTER3 = "[wW][tT][bBsStT]",
	FILTER4 = "[lL][fF][wWeEmM]",
	FILTER5 = "[lL][fF] [eE][nN][cC][hH][aA][nN][tT]",
	FILTER6 = "[lL][fF] [jJ][cC]",
	FILTER7 = "[lL][fF] [dD][pP][sS]",
	FILTER8 = "[lL][fF] [tT][aA][nN][kK]",
	FILTER9 = "[lL][fF] [hH][eE][aA][lL][eE][rR]",
}
L.TOC = {
	Notes = "Filter the shit outta trade channel.",
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	WLIST1 = "enchant:%d+[^%a%d]",
	WLIST2 = "item:%d+[^%a%d]",
	WLIST3 = "spell:%d+[^%a%d]",
	WLIST4 = "trade:%d+[^%a%d]",
}

if GetLocale() == "enUS" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "deDE")
if L then
L["AddFilter"] = "Filter hinzuf\\195\\188gen"
L["AddFilter1"] = "Benutzerdefinierter Filter 1"
L["AddFilter1D"] = "Benutzerdefinierten Filter hinzuf\\195\\188gen, was im Handelschannel erlaubt sein soll."
L["AddFilter2"] = "Benutzerdefinierter Filter 2"
L["AddFilter3"] = "Benutzerdefinierter Filter 3"
L["AddFilterD"] = "Filter f\\195\\188r den Handelschannel hinzuf\\195\\188gen. [Erst nach dem Neuladen des Interfaces aktiv]"
L["AddFilterG"] = "Filter hinzuf\\195\\188gen"
L["AddFilterGD"] = "Filter f\\195\\188r Handelschannel-Gruppe hinzuf\\195\\188gen."
L["addFilterGroup"] = "Benutzerdefinierte Filter hinzuf\\195\\188gen"
L["AddFilterUsage"] = "LFG, unabh\\195\\164ngig von Gro\\195\\159- und Kleinschreibung, identisch mit [lL][fF][gG]"
-- L["bLists"] = ""
L["channelGroup"] = "Channel ausw\\195\\164hlen"
L["Debug"] = "Debug [Erstelle hierf\\195\\188r ein Chatframe namens 'DEBUG']"
L["DebugDesc"] = "Zeigt die Debugging-Ausgabe im Channel DEBUG [Erstelle hierf\\195\\188r ein Chatframe namens 'DEBUG']"
L["FSELF"] = "Dich selbst filtern"
L["FSELFD"] = "Dich selbst filtern? Nutze diese Funktion, um Filter zu testen. Ist die Funktion eingeschaltet, werden die Filter auch auf dich angewandt. Ist sie ausgeschaltet, werden deine S\\195\\164tze nicht gefiltert."
L["GC"] = "Allgemein-Channel filtern"
L["GCD"] = "Aktivere diese Funktion, um den Filter auf den Allgemein-Channel anzuwenden."
L["LFGC"] = "SucheNachGruppe-Channel filtern"
L["LFGCD"] = "Aktivere diese Funktion, um den Filter auf den SucheNachGruppe-Channel anzuwenden."
-- L["listsGD"] = ""
-- L["listsGroup"] = ""
L["OUTPUT"] = "Ausgabeoptionen"
L["Profiles"] = "Profile"
L["Redir"] = "Spam umleiten [Erstelle hierf\\195\\188r ein Chatframe namens 'SPAM']"
L["RedirDesc"] = "Zeigt Spam aus dem Handelschannel im Channel SPAM [Erstelle hierf\\195\\188r ein Chatframe namens 'SPAM']"
L["RUI"] = "Interface neu laden"
L["RUID"] = "L\\195\\164dt das Interface neu, um einige \\195\\132nderungen zu aktivieren."
L["SAYC"] = "Sagen-Channel filtern"
L["SAYCD"] = "Aktivere diese Funktion, um den Filter auf den Sagen-Channel anzuwenden."
L["TC"] = "Handelschannel filtern"
L["TCD"] = "Aktivere diese Funktion, um den Filter auf den Handelschannel anzuwenden."
L["TFR"] = "TradeFilter3"
L["TurnOn"] = "Aktivieren"
L["TurnOnDesc"] = "Aktiviert den Handelschannel-Filter."
-- L["wLists"] = ""
L["YELLC"] = "Schreien-Channel filtern"
L["YELLCD"] = "Aktivere diese Funktion, um den Filter auf den Schreien-Channel anzuwenden."
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	-- BLIST3 = "",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTER = {
	FILTER1 = "[sS][uU][cC][hH][eE] [pP][oO][rR][tT]",
	FILTER10 = "[sS][uU][cC][hH][eE] [nN][oO][cC][hH]%s?%d",
	FILTER11 = "[lL][fF][mM]?",
	FILTER12 = "[lL][fF][gG]",
	FILTER13 = "AH",
	FILTER14 = "suche arbeit",
	FILTER15 = "knack[et]n?",
	FILTER16 = "[vV][eE][rR][kK][aA][uU][fF][eE]",
	FILTER17 = "2[vV]2",
	FILTER18 = "3[vV]3",
	FILTER19 = "5[vV]5",
	FILTER2 = "[kK][aA][uU][fF][eE]",
	FILTER3 = "[wW][tT][bBsStT]",
	FILTER4 = "[lL][fF][wWeEmM]",
	FILTER5 = "[sS][uU][cC][hH][eE] [vV][zZ]",
	FILTER6 = "[sS][uU][cC][hH][eE] [jJ][uU][wW][eEiI]",
	FILTER7 = "[sS][uU][cC][hH][eE] [dD][dD]",
	FILTER8 = "[sS][uU][cC][hH][eE] [tT][aA][nN][kK]",
	FILTER9 = "[sS][uU][cC][hH][eE] [hH][eE][iI][lL][eE][rR]",
}
L.TOC = {
	Notes = "Filtere den Abfall aus dem Handelchannel.", -- Needs review
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	-- WLIST1 = "",
	-- WLIST2 = "",
	-- WLIST3 = "",
	-- WLIST4 = "",
}

if GetLocale() == "deDE" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "zhCN")
if L then
L["AddFilter"] = "增加过滤器"
L["AddFilter1"] = "自定义过滤器 1"
L["AddFilter1D"] = "增加自定义过滤器来允许交易频道的内容。"
L["AddFilter2"] = "自定义过滤器 2"
L["AddFilter3"] = "自定义过滤器 3"
L["AddFilterD"] = "增加自定义过滤器来匹配交易频道。[需要重载 UI 来生效]"
L["AddFilterG"] = "增加过滤器"
L["AddFilterGD"] = "增加自定义过滤器来匹配交易频道。"
L["addFilterGroup"] = "增加自定义过滤器"
L["AddFilterUsage"] = "没有大小写之分 LFG = [lL][fF][gG]"
-- L["bLists"] = ""
L["channelGroup"] = "频道选择"
L["Debug"] = "除错模式 [需要新建一个聊天框名为 'DEBUG']"
L["DebugDesc"] = "启用除错模式并输出到 <DEBUG> 频道 [需要新建聊天框名为 'DEBUG']"
L["FSELF"] = "过滤自身"
L["FSELFD"] = "允许过滤自身? 这个可以用来测试过滤器. TRUE = 玩家自身将被过滤, FALSE = 玩家自身将不被过滤."
L["GC"] = "过滤 <综合> 频道"
L["GCD"] = "选中以过滤 <综合> 频道"
L["LFGC"] = "过滤 <组队> 频道"
L["LFGCD"] = "选中以过滤 <组队> 频道"
-- L["listsGD"] = ""
-- L["listsGroup"] = ""
L["OUTPUT"] = "输出选项"
L["Profiles"] = "配置文件"
L["Redir"] = "重定向垃圾信息 [需要新建聊天框名为 'SPAM']"
L["RedirDesc"] = "重定向交易频道垃圾信息到垃圾信息频道 [需要新建聊天框名为 'SPAM']"
L["RUI"] = "重载 UI"
L["RUID"] = "重载 UI 以使一些改动生效。"
L["SAYC"] = "过滤 <说> 频道"
L["SAYCD"] = "选中以过滤 <说> 频道"
L["TC"] = "过滤交易频道"
L["TCD"] = "选中以过滤 <交易> 频道"
L["TFR"] = "TradeFilter3"
L["TurnOn"] = "开启"
L["TurnOnDesc"] = "启用交易频道过滤器"
-- L["wLists"] = ""
L["YELLC"] = "过滤 <大喊> 频道"
L["YELLCD"] = "选中以过滤 <大喊> 频道"
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	-- BLIST3 = "",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTER = {
	-- FILTER1 = "",
	-- FILTER10 = "",
	-- FILTER11 = "",
	-- FILTER12 = "",
	-- FILTER13 = "",
	-- FILTER14 = "",
	-- FILTER15 = "",
	-- FILTER16 = "",
	-- FILTER17 = "",
	-- FILTER18 = "",
	-- FILTER19 = "",
	-- FILTER2 = "",
	-- FILTER3 = "",
	-- FILTER4 = "",
	-- FILTER5 = "",
	-- FILTER6 = "",
	-- FILTER7 = "",
	-- FILTER8 = "",
	-- FILTER9 = "",
}
L.TOC = {
	Notes = "过滤讨厌的交易频道垃圾信息.",
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	-- WLIST1 = "",
	-- WLIST2 = "",
	-- WLIST3 = "",
	-- WLIST4 = "",
}

if GetLocale() == "zhCN" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "zhTW")
if L then
L["AddFilter"] = "增加過濾器"
L["AddFilter1"] = "自定義過濾器 1"
L["AddFilter1D"] = "增加定義過濾器來允許交易頻道的內容。"
L["AddFilter2"] = "自定義過濾器 2"
L["AddFilter3"] = "自定義過濾器 3"
L["AddFilterD"] = "增加自定義過濾器來匹配交易頻道。[需要重載 UI 來生效]"
L["AddFilterG"] = "增加過濾器"
L["AddFilterGD"] = "增加自定義過濾器來匹配交易頻道。"
L["addFilterGroup"] = "增加自定義過濾器"
L["AddFilterUsage"] = "沒有大小寫之分 LFG = [lL][fF][gG]"
-- L["bLists"] = ""
L["channelGroup"] = "頻道選擇"
L["Debug"] = "除錯模式 [需要新建聊天視窗名為 'DEBUG']"
L["DebugDesc"] = "啟用除錯模式并輸出到 <DEBUG> 頻道 [需要新建聊天視窗名為 'DEBUG']"
L["FSELF"] = "過濾自身"
L["FSELFD"] = "允許過濾自身信息? 這個可以用來測試過濾器. TRUE = 玩家自身將被過濾, FALSE = 玩家自身將不被過濾."
L["GC"] = "過濾 <綜合> 頻道"
L["GCD"] = "選中以過濾 <綜合> 頻道。"
L["LFGC"] = "過濾 <組隊> 頻道"
L["LFGCD"] = "選中以過濾 <組隊> 頻道。"
-- L["listsGD"] = ""
-- L["listsGroup"] = ""
L["OUTPUT"] = "輸出選項"
L["Profiles"] = "設定檔"
L["Redir"] = "重定向垃圾信息 [需要新建聊天視窗名為 'SPAM']"
L["RedirDesc"] = "重定向交易頻道垃圾信息到 <SPAM> 頻道 [需要新建聊天視窗名為 'SPAM']"
L["RUI"] = "重載 UI"
L["RUID"] = "重載 UI 以使一些改動生效"
L["SAYC"] = "過濾 <說> 頻道"
L["SAYCD"] = "選中以過濾 <說> 頻道"
L["TC"] = "過濾交易頻道"
L["TCD"] = "選中以過濾 <交易> 頻道"
L["TFR"] = "TradeFilter3"
L["TurnOn"] = "開啟"
L["TurnOnDesc"] = "啟用交易頻道過濾器。"
-- L["wLists"] = ""
L["YELLC"] = "過濾 <大喊> 頻道"
L["YELLCD"] = "選中以過濾 <大喊> 頻道"
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	-- BLIST3 = "",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTER = {
	-- FILTER1 = "",
	-- FILTER10 = "",
	-- FILTER11 = "",
	-- FILTER12 = "",
	-- FILTER13 = "",
	-- FILTER14 = "",
	-- FILTER15 = "",
	-- FILTER16 = "",
	-- FILTER17 = "",
	-- FILTER18 = "",
	-- FILTER19 = "",
	-- FILTER2 = "",
	-- FILTER3 = "",
	-- FILTER4 = "",
	-- FILTER5 = "",
	-- FILTER6 = "",
	-- FILTER7 = "",
	-- FILTER8 = "",
	-- FILTER9 = "",
}
L.TOC = {
	Notes = "過濾討厭的交易頻道垃圾訊息.",
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	-- WLIST1 = "",
	-- WLIST2 = "",
	-- WLIST3 = "",
	-- WLIST4 = "",
}

if GetLocale() == "zhTW" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "frFR")
if L then
L["AddFilter"] = "Ajouter une expression au filtre"
L["AddFilter1"] = "Personnaliser une expression du filtre 1"
L["AddFilter1D"] = "Ajouter une expression personnalisée au filtre pour être autorisée dans le canal Commerce"
L["AddFilter2"] = "Personnaliser une expression du filtre 2"
L["AddFilter3"] = "Personnaliser une expression du filtre 3"
L["AddFilterD"] = "Ajouter une expression au filtre équivalente dans le canal Commerce (requiert de relancer l'interface pour être activé)" -- Needs review
L["AddFilterG"] = "Ajouter une expression au filtre"
L["AddFilterGD"] = "Ajouter un expression au filtre équivalente dans le groupe de canaux."
L["addFilterGroup"] = "Ajouter des filtres personnalisés"
L["AddFilterUsage"] = "Insensible à la casse LFG = [lL][fF][gG]" -- Needs review
-- L["bLists"] = ""
L["channelGroup"] = "Sélection du canal"
L["Debug"] = "Debugage (requiert de créer une fenêtre de discussion 'DEBUG')"
L["DebugDesc"] = "Activer le débugage et ressort dans le canal DEBUG ((requiert de créer une fenêtre \"DEBUG\")"
-- L["FSELF"] = ""
-- L["FSELFD"] = ""
L["GC"] = "Filtre du canal Général"
L["GCD"] = "Sélectionner pour être appliqué au canal Général"
L["LFGC"] = "Filtre du canal RechercheDeGroupe"
L["LFGCD"] = "Sélectionner pour être appliqué au canal RechercheDeGroupe"
-- L["listsGD"] = ""
-- L["listsGroup"] = ""
-- L["OUTPUT"] = ""
L["Profiles"] = "Profils"
L["Redir"] = "Redirige les spams (requiert de créer une fenêtre \"SPAM\")"
L["RedirDesc"] = "Rediriger les spams du canal Commerce vers le canal SPAM (requiert de créer une fenêtre \"SPAM\")"
L["RUI"] = "Relancer l'interface"
L["RUID"] = "Relancer l'interface pour que les changements soient activés"
L["SAYC"] = "Filtre du canal Dire"
L["SAYCD"] = "Sélectionner pour appliquer le filtre au canal Dire"
L["TC"] = "Filtre du canal Commerce"
L["TCD"] = "Sélectionner pour appliquer le filtre au canal Commerce"
L["TFR"] = "TradeFilter3"
L["TurnOn"] = "Activer"
L["TurnOnDesc"] = "Activer le filtre des canaux"
-- L["wLists"] = ""
L["YELLC"] = "Filtre du canal Crier"
L["YELLCD"] = "Sélectionner pour appliquer le filtre au canal Crier"
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	-- BLIST3 = "",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTER = {
	-- FILTER1 = "",
	-- FILTER10 = "",
	-- FILTER11 = "",
	-- FILTER12 = "",
	-- FILTER13 = "",
	-- FILTER14 = "",
	-- FILTER15 = "",
	-- FILTER16 = "",
	-- FILTER17 = "",
	-- FILTER18 = "",
	-- FILTER19 = "",
	-- FILTER2 = "",
	-- FILTER3 = "",
	-- FILTER4 = "",
	-- FILTER5 = "",
	-- FILTER6 = "",
	-- FILTER7 = "",
	-- FILTER8 = "",
	-- FILTER9 = "",
}
L.TOC = {
	-- Notes = "",
	-- Title = "",
}
L.WHITELIST = {
	-- WLIST1 = "",
	-- WLIST2 = "",
	-- WLIST3 = "",
	-- WLIST4 = "",
}

if GetLocale() == "frFR" then return end
end
